Name:           python-pysendpulse
Version:        0.1.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A simple SendPulse REST client library and example for Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/sendpulse/sendpulse-rest-api-python
Source:         %{pypi_source pysendpulse}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pysendpulse' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pysendpulse
Summary:        %{summary}

%description -n python3-pysendpulse %_description


%prep
%autosetup -p1 -n pysendpulse-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pysendpulse -f %{pyproject_files}


%changelog
%autochangelog